PHP module intl not installed. Please ask your server administrator to install the module.

5 posts / 0 new
Last post
#1 Fri, 10/05/2018 - 09:37
suguoguang

PHP module intl not installed. Please ask your server administrator to install the module.

When installing owncloud 10, the report was wrong. (my installation environment: centos7 php7). Who can help me? Thank you

Fri, 10/05/2018 - 10:36
andreychek

Howdy,

Just to verify which PHP version the intl module is installed for, what is the output of this command:

rpm -qa | grep php | grep intl

Wed, 10/10/2018 - 09:22 (Reply to #2)
suguoguang

php56w-intl-5.6.38-1.w7.x86_64

Wed, 10/10/2018 - 09:26
andreychek

Howdy,

Okay, two things jump out at me --

One, it looks like you're using some third party packages there. We do see issues when using packages coming from third parties, we only recommend using the default packages available to CentOS, along with packages coming from the SCL repo.

Two, your server does indeed have the INTL module installed, but only for PHP 5.6.

If you're saying that your app is using PHP 7, you'd need to install the INTL module for that particular PHP version.

-Eric

Mon, 10/22/2018 - 09:59 (Reply to #4)
suguoguang

Thank you very much